This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 535799 - (RHQ-2458) RoleCriteria shold have "add" as opposed to "set" methods for the filter criteria
RoleCriteria shold have "add" as opposed to "set" methods for the filter crit...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-06 13:52 EDT by Jay Shaughnessy
Modified: 2010-08-12 12:45 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2009-10-06 13:52:00 EDT
The convention in the Critera objects is to provide addFilterName() methods for the provided filters.  For some reason the RoleCriteria type broke convention and used setFilterName() methods.  The set methods should be deprecated and add methods should be added.
Comment 1 Red Hat Bugzilla 2009-11-10 16:04:49 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2458
Comment 2 wes hayutin 2010-02-16 12:09:01 EST
mass add of key word FutureFeature to help track
Comment 3 Jay Shaughnessy 2010-06-15 09:35:40 EDT
This was fixed a while back.  No QA required.
Comment 4 Corey Welton 2010-08-12 12:45:25 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.